<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'otopo', language 'fr'
 *
 * @package   mod_otopo
 * @copyright  2022 Kosmos <contact@kosmos.fr>
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */
$string['pluginname'] = 'Otopo';
$string['modulename'] = 'Otopo';
$string['modulenameplural'] = 'Otopo';
$string['modulename_help'] = "Le module d'activité otopo permet à un enseignant de créer un référentiel à partir duquel les étudiants pourront s’autoévaluer à différentes périodes. L’enseignant pourra commenter chaque autoévaluation et suivre son évolution.";
$string['modulename_link'] = 'mod/otopo/view';
$string['pluginadministration'] = 'Paramètres Otopo';

$string['deleteotopos'] = 'Supprimer tous les autopositionnements des utilisateurs';
$string['deletegrader'] = 'Supprimer toutes les notes et tous les commentaires des enseignants';

$string['otopo:addinstance'] = "Ajouter une activité Otopo";
$string['otopo:view'] = "Voir l'activité Otopo";
$string['otopo:managetemplates'] = "Gérer les modèles";
$string['otopo:admin'] = "Administrer l'activité";
$string['otopo:export_results'] = "Exporter les résultats";
$string['otopo:fill'] = "Remplir l'activité";
$string['otopo:grade'] = "Évaluer l'activité";
$string['otopo:receive_notifications'] = "Recevoir des notifications";


$string['activity_viewed'] = "Activité consultée";
$string['activity_updated'] = "Activité modifiée";
$string['session_closed'] = "Session fermée";
$string['session_saved'] = "Session enregistrée";

$string['string_limit_255'] = "Ce champ est limité à 255 caractères.";

$string['start'] = "Début";
$string['end'] = "Fin";

$string['edit'] = 'Modifier';
$string['export_as_csv'] ="Exporter comme CSV";
$string['save_as_template'] ="Enregistrer comme modèle";
$string['save_items'] ="Enregistrer la grille";
$string['return_to_list'] ="Retour à la liste";
$string['last_modification'] = "Dernière modification";
$string['pending'] = "En cours";
$string['closed'] = "Fermée";
$string['validated'] = "Validée";
$string['not_validated'] = "Non validée";
$string['validate'] = "Clôturer";
$string['print'] = "Imprimer";
$string['choose_session'] = "Choisir une session";
$string['choose_all'] = "Tout choisir";
$string['session_help'] = "Si \"OUI\" : les étudiants devront s'auto-positionner sur les sessions que vous aurez définies, si \"NON\" : les étudiants pourront s'auto-positionner autant de fois qu'ils le souhaitent, dans la limite de sessions définie.";
$string['validate_help'] = "Vos modifications sont automatiquement enregistrées. Si vous clôturez vous ne pourrez plus modifier votre auto-positionnement sur cette session.";
$string['comment'] = "Commentaire";
$string['teacher_comment_global'] = "Commentaire global de mon enseignant";
$string['no_session'] = "Aucune session";
$string['otopo_condition_completion'] = "Condition Otopo";
$string['completionsubmit'] = "Afficher l’activité comme terminée dès que les conditions OTOPO sont remplies.";
$string['completionsubmit_help'] = "Si les sessions sont activées, l’activité est considérée comme achevée si la dernière session a été remplie. Si les sessions sont désactivées, l’activité est considérée comme achevée si au moins un auto-positionnement a été validé par l’étudiant.";
$string['activity_closed'] = "Activité fermée.";

$string['menu_consult'] = 'Consulter les rapports';
$string['menu_preview'] = 'Prévisualisation';
$string['menu_params'] = 'Paramètres';
$string['menu_sessions'] = 'Sessions';
$string['menu_grids'] = 'Grilles';
$string['menu_templates'] = 'Modèles';
$string['menu_individual_report'] = 'Rapport invidividuel';
$string['menu_group_report'] = 'Rapport de groupe';
$string['menu_session'] = 'Session';
$string['menu_grid'] = 'Grille';

$string['params_btn'] = 'Modifier les paramètres';

$string['name'] = 'Nom';
$string['description'] = 'Description';
$string['showintro'] = 'Afficher la description sur la page de cours';
$string['showteachercomments'] = 'Afficher les commentaires enseignants';
$string['grade'] = 'Note';
$string['visual'] = 'Visuel des statistiques associées';
$string['sessionvisual'] = 'Visuel des items et sessions';
$string['cohortvisual'] = 'Visuel des cohortes';
$string['sessionoptions'] = 'Options de sessions';
$string['session'] = 'Session';
$string['sessions'] = 'Nombre de sessions';
$string['limit_sessions'] = 'Nombre limite de sessions';
$string['gradeonlyforteacher'] = 'Visible uniquement pour les enseignants';
$string['radar'] = 'Radar';
$string['bar'] = 'Histogramme';
$string['stackedbar'] = 'Histogramme empilé';
$string['disponibility'] = 'Disponibilité';
$string['allowsubmissionfromdate'] = 'Autoriser les réponses à partir de';
$string['allowsubmissiontodate'] = 'Autoriser les réponses jusqu\'au';
$string['allowsubmissiondateerror'] = 'La date de fermeture ne peut pas être avant la date d\'ouverture';
$string['not_evaluated'] = 'Non évalué';
$string['no_comments'] = 'Sans commentaire';
$string['sessions_comments'] = 'Commentaires de session';
$string['student_distribution_by_item'] = 'Répartition des étudiants par item';
$string['no_session_available'] = 'Aucune session d\'auto-positionnement disponible';

$string['settings'] = 'Réglages';
$string['default_showteachercomments'] = 'Valeur par défaut pour afficher les commentaires enseignants';
$string['default_showteachercomments_desc'] = 'Permet de changer la valeur par défaut concernant l\'affichage des commentaires enseignants lors de la création de l\'activité';
$string['default_gradeonlyforteacher'] = 'Valeur par défaut pour cacher la note aux étudiants';
$string['default_gradeonlyforteacher_desc'] = 'Permet de changer la valeur par défaut pour cacher la note aux étudiants lors de la création de l\'activité';
$string['default_sessionvisual'] = 'Valeur par défaut pour le choix du visuel des items et sessions';
$string['default_sessionvisual_desc'] = 'Permet de changer la valeur par défaut pour le visuel des items et sessions lors de la création de l\'activité';
$string['default_cohortvisual'] = 'Valeur par défaut pour le choix du visuel des cohortes';
$string['default_cohortvisual_desc'] = 'Permet de changer la valeur par défaut pour le visuel des cohortes lors de la création de l\'activité';
$string['default_sessions'] = 'Nombre de sessions par défaut';
$string['default_sessions_desc'] = 'Permet de changer la valeur par défaut pour le nombre de sessions lors de la création de l\'activité avec session activée';
$string['default_limit_sessions'] = 'Nombre limite de sessions par défaut';
$string['default_limit_sessions_desc'] = 'Permet de changer la valeur par défaut pour le nombre de sessions limite lors de la création de l\'activité';
$string['default_sessionscalendar'] = 'Calendrier des sessions';
$string['default_sessionscalendar_desc'] = 'Permet de changer le comportement par défaut du calendrier des sessions.';

$string['sessions_settings'] = 'Réglages des sessions d\'auto-évaluation';
$string['session_name'] = 'Nom Session {no}';
$string['session_color'] = 'Couleur Session {no}';
$string['session_allowsubmissionfromdate'] = 'Date d\'ouverture Session {no}';
$string['session_allowsubmissiontodate'] = 'Date de fermeture Session {no}';
$string['session_delete'] = 'Supprimer cette session';
$string['session_add'] = 'Ajouter une session';

$string['item_add_item'] = 'Ajouter un item';
$string['item_delete_item'] = 'Supprimer l\'item';
$string['item_choose_item_color'] = 'Choisir la couleur de l\'item';
$string['item_item'] = 'Item';
$string['item_degree'] = 'Degré';
$string['item_add_degree'] = 'Ajouter un degré';
$string['item_delete_degree'] = 'Supprimer le degré';
$string['item_degree_grade'] = 'Note du degré';
$string['item_duplicate_item'] = 'Dupliquer l\'item';

$string['autoeval'] = 'Auto-évaluation';
$string['autoevals_validated'] = 'Auto-évaluations validées';
$string['autoeval_desc'] = 'Estimez votre avancement pour cet item en cliquant sur le "+" et le "-". Si vous souhaitez plus de détails, vous pouvez cliquer sur les "...".';
$string['autoeval_help'] = 'Aide';
$string['autoeval_your_justification'] = 'Votre justification...';
$string['autoeval_no_teacher_comment'] = 'Votre enseignant n\'a pas encore commenté.';
$string['autoeval_modal_subtitle'] = 'Justifiez en quelques lignes votre positionnement.';
$string['autoeval_modal_content'] = "Par exemple :";
$string['autoeval_modal_content1'] = "Quels outils utilisées à quelle étape ?";
$string['autoeval_modal_content2'] = "Quelles méthodes utilisées à quelle étape ?";
$string['autoeval_degree'] = 'Degré';
$string['autoeval_description'] = 'Description';
$string['autoeval_i_autoeval'] = "Je m'auto-évalue";
$string['autoeval_i_justify'] = "Je justifie mon positionnement";
$string['autoeval_i_comments'] = "Commentaires de mon enseignant";

$string['grid_create_item'] = "Créer/Modifier la grille";
$string['grid_create_from_template'] = "Créer depuis un modèle";
$string['grid_import_csv'] = "Importer un CSV";

$string['template'] = "Modèle";
$string['template_name'] = "Nom du modèle";
$string['template_choose_template'] = "Choisir un modèle";

$string['fill'] = "M'auto-évaluer";
$string['fill_intro'] = "Vous allez commencer votre auto-évaluation avec OTOPO. Vous trouverez la grille générale que vous utiliserez durant toute cette activité en cliquant sur l'icone \"Ma grille d'évaluation générale\" ci-dessus. Les éléments d'évaluation qui vous seront proposés sont consititués d'items avec plusieurs niveaux d'appréciation. Il vous revient d'estimer le niveau que vous avez atteint lors vos auto-évaluations.";
$string['fill_encouragement'] = "Bon courage!";
$string['fill_my_progression'] = 'Ma progression';
$string['fill_my_evolution'] = 'Mon évolution';
$string['fill_my_grid'] = 'Ma grille générale d\'évaluation';
$string['fill_from'] = 'du';
$string['fill_to'] = 'au';
$string['fill_autoeval'] = 'Mon Auto-évaluation';

$string['evolution_choose_visual'] = "Choisir une visualisation";
$string['evolution_per_item'] = "Voir mon évolution par item";
$string['evolution_you_choose_for'] = "Vous avez choisi pour";

$string['viewreport'] = "Consulter tous les rapports";
